#include <iostream>


using namespace std;


const int MOD = 1'000'000'007;
const int N = 100'005;
const int C = 2022;

long long cnt[C + 1];
long long conv[C + 1];

int32_t main() {
    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        int x;
        cin >> x;
        ++cnt[x];
    }
    for (int i = 0; i <= C; ++i) {
        for (int j = 0; i + j <= C; ++j) {
            conv[i + j] += cnt[i] * cnt[j];
        }
    }    
    for (int i = 0; i <= C; ++i) {
        conv[i] %= MOD;
    }        
    int ans = 0;
    for (int i = 0; i <= C; ++i) {
        ans += conv[i] * conv[C - i] % MOD;
        if (ans >= MOD) {
            ans -= MOD;
        } 
    }
    cout << ans << '\n';
}
