#include <iostream>
#define ll long long

using namespace std;

const int MOD = 1e9 + 7;
const int TARGET = 2022;
int n;
ll cnt[TARGET + 1];

int main() {
	ios_base::sync_with_stdio(0); cin.tie(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		int val;
		cin >> val;
		cnt[val]++;
	}
	ll ans = 0;
	for (int i = 0; i <= TARGET; ++i) {
		for (int j = i + 1; i + j <= TARGET; ++j) {
			int bound = TARGET - i - j;
			ll prod = cnt[i] * cnt[j];
			for (int k = j + 1; k <= bound; ++k) {
				ans += prod * cnt[k] * cnt[bound - k];
			}
			ans %= MOD;
		}
	}
	ans = (ans * 6) % MOD;
	for (int i = 0; i <= TARGET; ++i) {
		for (int k = 0; k <= TARGET; ++k) {
			if (i + i + k <= TARGET) {
				ans = (ans + cnt[i] * cnt[i] * cnt[k] % MOD * cnt[TARGET - i - i - k]) % MOD;
			}
		}
		for (int j = 0; j <= TARGET; ++j) {
			if (i != j) {
				if (i + j + i <= TARGET) {
					ans = (ans + cnt[i] * cnt[j] * cnt[i] % MOD * cnt[TARGET - i - j - i]) % MOD;
				}
				if (i + j + j <= TARGET) {
					ans = (ans + cnt[i] * cnt[j] * cnt[j] % MOD * cnt[TARGET - i - j - j]) % MOD;
				}
			}
		}
	}
	cout << ans << '\n';
}
