#include <iostream>
#define ll long long

using namespace std;

const int MOD = 1e9 + 7;
const int TARGET = 2022;
int n;
ll cnt[TARGET + 1];

int main() {
	ios_base::sync_with_stdio(0); cin.tie(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		int val;
		cin >> val;
		cnt[val]++;
	}
	ll ans = 0;
	for (int i = 0; i <= TARGET; ++i) {
		for (int j = 0; i + j <= TARGET; ++j) {
			int bound = TARGET - i - j;
			ll prod = cnt[i] * cnt[j];
			for (int k = 0; k <= bound; ++k) {
				ans += prod * cnt[k] * cnt[bound - k];
			}
			ans %= MOD;
		}
	}
	cout << ans << '\n';
}
