#include "testlib.h"

using ll = long long int;

constexpr ll E18 = 1000ll * 1000ll * 1000ll * 1000ll * 1000ll * 1000ll;

constexpr ll MAX_D[6] = {
    E18,
    100ll,
    10ll * 1000ll,
    1000ll * 1000ll * 1000ll,
    1000ll * 1000ll * 1000ll * 1000ll,
    E18,
};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int gr = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    
    long long distance = inf.readLong(1LL, MAX_D[gr], "d");
    inf.readEoln();

    inf.readEof();
}
