#include <iostream>
#include <array>
#include <set>

using namespace std;

int d, speedLimit, ans = 1e9;

set<array<int, 3>> used;

void bruteforce(int t, int speed, int dist) {
	if (t >= ans || dist > d) {
		return;
	}
	if (speed <= speedLimit && dist == d) {
		ans = min(ans, t);
		return;
	}
	if (used.find({{t, speed, dist}}) != used.end()) {
		return;
	}
	used.insert({{t, speed, dist}});
	for (int acc = 1; acc >= -1; --acc) {
		if (speed + acc >= 0) {
			bruteforce(t + 1, speed + acc, dist + speed + acc);
		}
	}
}

int main() {
	cin >> d;
	bruteforce(0, 0, 0);
	cout << ans << '\n';
}
