#include <iostream>
#define ll long long

using namespace std;

ll d, speedLimit;

bool can_reach(ll t) {
    if (t <= speedLimit) {
        return t * (t + 1) / 2 >= d;
    } else {
        ll t_kink = (speedLimit + t) / 2;
        return t_kink * (t_kink + 1) / 2 +
            speedLimit * (t - t_kink) +
            (t - t_kink) * (t - t_kink - 1) / 2 >= d;
    }
}

int main() {
    cin >> d >> speedLimit;
    ll L = 0, R = 1e9;
    while (L < R) {
        ll mid = (L + R) >> 1;
        if (can_reach(mid)) {
            R = mid;
        } else {
            L = mid + 1;
        }
    }
    cout << L << '\n';
}
