#include <iostream>

using namespace std;

long long d, speedLimit, ans = 1e18;

void bruteforce(long long  t, long long  speed, long long  dist) {
	if (t >= ans || dist > d) {
		return;
	}
	if (speed <= speedLimit && dist == d) {
		ans = min(ans, t);
		return;
	}
	for (long long  acc = 1; acc >= -1; --acc) {
		if (speed + acc >= 0) {
			bruteforce(t + 1, speed + acc, dist + speed + acc);
		}
	}
}

int main() {
	cin >> d >> speedLimit;
	bruteforce(0, 0, 0);
	cout << ans << '\n';
}
