#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);
	int n = opt<int> ("n");
	int k = opt<int> ("k");
	int maxw = opt<int> ("w");
	int type = opt<int> ("type");
	printf("%d\n", n);
	vector<int> vertex;
	for (int i = 1; i <= n; ++i) vertex.push_back(i);
	shuffle(vertex.begin(), vertex.end());
	vector<int> primes = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31};
	shuffle(primes.begin(), primes.end());
	vector<int> weight;
	vector<bool> may(maxw + 1, false);
	may[1] = true;
	for (int i = 0; i < k; ++i) {
		for (int j = primes[i]; j <= maxw; j += primes[i]) {
			may[j] = true;
		}
	}
	for (int i = 1; i <= maxw; ++i) {
		if (may[i]) weight.push_back(i);
	}
	for (int i = 0; i < n - 1; ++i) {
		int v;
		if (type == 0) v = vertex[rnd.next(0, i)];
		else v = vertex[i];
		int u = vertex[i + 1];
		int w = weight[rnd.next(0, (int) weight.size() - 1)];
		printf("%d %d %d\n", v, u, w);
	}
	return 0;
}