#include <bits/stdc++.h>
using namespace std;
const int MAX_W = 1e7 + 8;
const int MAX_N = 1e6 + 8;
map<int, int> dividers[MAX_W];
vector<pair<int, int> > G[MAX_N];
int answer = 0;
void dfs(int v, int p, int now_prime, int pow) {
	answer = max(answer, pow);
	for (auto edge : G[v]) {
		if (edge.first == p) continue;
		if (dividers[edge.second].find(now_prime) == dividers[edge.second].end()) continue;
		if (dividers[edge.second][now_prime] >= pow + 1) {
			dfs(edge.first, v, now_prime, pow + 1);
		}
	}
}
int main() {
	int n;
	cin >> n;
	for (int edge = 1; edge <= n - 1; ++edge) {
		int v, u, w;
		cin >> v >> u >> w;
		G[u].push_back({v, w});
		G[v].push_back({u, w});
		if (dividers[w].size() == 0) {
			int x = w;
			for (int j = 2; j * j <= x; ++j) {
				while (x % j == 0) {
					dividers[w][j]++;
					x /= j;
				}
			}
			if (x > 1) dividers[w][x]++;
		}
	}
	for (int first_vertex = 1; first_vertex <= n; ++first_vertex) {
		for (auto edge : G[first_vertex]) {
			int second_vertex = edge.first;
			int weight = edge.second;
			for (auto divisor : dividers[weight]) {
				dfs(second_vertex, first_vertex, divisor.first, 1);
			}
		}
	}
	cout << answer << "\n";
	return 0;
}
