#include <bits/stdc++.h>

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define ar array

using namespace std;

using ll = long long;

const int INFi = 2e9;
const ll INF = 2e18;
const int maxN = 1e5 + 5;
const int LG = 19;

void solve() {
    int n;
    cin >> n;
    vector<ar<int, 3>> edges(n - 1);
    int maxW = 0;
    vector<vector<int>> d;
    int ans = 0;
    rep(i, n - 1) {
        rep(j, 3) cin >> edges[i][j];
        if (edges[i][2] > 1) ans = 1;
        edges[i][0]--;
        edges[i][1]--;
        maxW = max(maxW, edges[i][2]);
    }
    maxW++;
    d.resize(maxW);

    rep(i, n - 1) d[edges[i][2]].push_back(i);
    vector<int> cnt(maxW);
    vector<vector<int>> from(2, vector<int>(n, -1));
    vector<bool> bad(maxW);

    for (int x = 2; x * x < maxW; ++x) {
        if (bad[x]) continue;
        vector<int> cur;
        for (int t = x; t < maxW; t += x) {
            for (auto &edge : d[t]) {
                cur.push_back(edge);
            }
            cnt[t]++;
            bad[t] = true;
        }
        for (ll v = 1ll * x * x; v < maxW; v *= x) {
            for (int t = v; t < maxW; t += v) {
                cnt[t]++;
            }
        }
        vector<int> cs;
        vector<int> vv;
        for (auto &i : cur) {
            auto[u, v, w] = edges[i];
            if (cs.size() < cnt[w] + 2) {
                cs.resize(cnt[w] + 2);
            }
            cs[cnt[w] + 1]++;

            if (from[0][u] == -1) {
                vv.push_back(u);
                from[0][u] = -2;
            }
            if (from[0][v] == -1) {
                vv.push_back(v);
                from[0][v] = -2;
            }
        }
        for (int i = 1; i < (int) cs.size(); ++i) cs[i] += cs[i - 1];
        vector<int> ord(cur.size());
        for (auto &i : cur) ord[cs[cnt[edges[i][2]]]++] = i;
        for (int k = 1, L = 0; L < (int) cur.size(); ++k) {
            for (int i = L; i < (int) cur.size(); ++i) {
                int j = ord[i];
                auto[u, v, w] = edges[j];
                if (from[0][v] != j && from[0][v] != -1) {
                    if (from[1][u] == -1) from[1][u] = j;
                    else from[1][u] = -2;
                    ans = max(ans, k);
                }

                if (from[0][u] != j && from[0][u] != -1) {
                    if (from[1][v] == -1) from[1][v] = j;
                    else from[1][v] = -2;
                    ans = max(ans, k);
                }
                if (cnt[w] == k) L++;
            }
            swap(from[0], from[1]);
            for (auto &v : vv) from[1][v] = -1;
        }
        for (auto &v : vv) {
            from[0][v] = -1;
        }
        for (int t = x; t < maxW; t += x) cnt[t] = 0;
    }
    cout << ans << '\n';
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}