#include "testlib.h"
#include <iostream>
#include <random>


using namespace std;


vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = 0; i < cnt.size(); ++i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    shuffle(blocks.begin(), blocks.end());
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}


void gen(int n) {
    vector<int> lol(n + 3, 0);
    for (int i = 0; i < 3; ++i) {
        lol[i] = 1;
    }
    shuffle(lol.begin(), lol.end());
    int balance = 0;
    vector<int> cnt(4, 0);
    for (int x : lol) {
        if (x) {
            balance += 1;
            continue;
        }
        ++cnt[balance];
    }
    out(BuildBlocks(cnt));
}

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    cout << n << '\n';
    out(BuildBlocks({n}));
    gen(n);
}

