#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = (int)(cnt.size()) - 1; i >= 0; --i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}

vector<int> parse_blocks(const string& st) {
    vector<int> res;
    for (int i = 0; i < st.size(); ++i) {
        char c = st[i];
        if (i % 3 == 2) continue;
        if (i % 3 == 1) {
            res.back() *= 2;
            res.back() += (c - '0');
        } else {
            res.push_back(c - '0');
        }
    }
    return res;
}

const int K = 4;
int cnt[2][K];

int32_t main() {
    int n;
    cin >> n;
    for (int i = 0; i < 2; ++i) {
        string s;
        cin >> s;
        auto kek = parse_blocks(s);
        for (int x : kek) {
            ++cnt[i][x];
        }
    }
    vector<int> ans(4, 0);
    for (int i = K - 1; i >= 0; --i) {
        for (int x = 0; x < K; ++x) {
            int y = i ^ x;
            while (cnt[0][x] && cnt[1][y]) {
                --cnt[0][x];
                --cnt[1][y];
                ++ans[i];
            }
        }
    }
    out(BuildBlocks(ans));
}