#include "testlib.h"
#include <iostream>
#include <random>



using namespace std;

int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10);
    }
    return char(x + '0');
}

void out(vector<int>& cnt) {
    string res;
    for (int i = 0; i < 16; ++i) {
        while (cnt[i]--) {
            res += toh(i);
        }
    }
    shuffle(res.begin(), res.end());
    cout << res << '\n';
}

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    cout << n << '\n';
    for (int i = 0; i < 2; ++i) {
        vector<int> cur(16, 0);
        cur[0] = rnd.next(0, n);
        cur[1] = n - cur[0];
        out(cur);
    }
}

