#include "testlib.h"
#include <iostream>
#include <random>


using namespace std;

int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10);
    }
    return char(x + '0');
}


string gen(int n) {
    vector<int> lol(n + 15, 0);
    for (int i = 0; i < 15; ++i) {
        lol[i] = 1;
    }
    shuffle(lol.begin(), lol.end());
    int cnt = 0;
    string res;
    for (int x : lol) {
        if (x) {
            cnt += 1;
            continue;
        }
        res += toh(cnt);
    }
    shuffle(res.begin(), res.end());
    return res;
}


int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    cout << n << '\n';
    for (int i = 0; i < 2; ++i) {
        cout << gen(n) << '\n';
    }
}

