#include <iostream>
#include <vector>
#include <algorithm>


using namespace std;


int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10); 
    }
    return char(x + '0');
}

const int K = 16;
int cnt[2][K];

int32_t main() {
    int n;
    cin >> n;
    for (int i = 0; i < 2; ++i) {
        for (int j = 0; j < n; ++j) {
            char x;
            cin >> x;
            ++cnt[i][tod(x)];
        }
    }
    for (int i = K - 1; i >= 0; --i) {
        for (int x = 0; x < K; ++x) {
            int y = i ^ x;
            while (cnt[0][x] && cnt[1][y]) {
                --cnt[0][x];
                --cnt[1][y];
                cout << toh(i);
            }
        }
    }
    cout << '\n';
}