#include <iostream>
#include <vector>
#include <algorithm>
#include <random>
#include <cstring>


using namespace std;


int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10); 
    }
    return char(x + '0');
}

const int K = 16;
const int BUBEN = 50'000'000;


mt19937 rng(0);

int ans[K];
int cur[K];

int32_t main() {
    int n;
    cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    for (int i = 0; i < n; ++i) {
        char x;
        cin >> x;
        a[i] = tod(x);

    }
    for (int i = 0; i < n; ++i) {
        char x;
        cin >> x;
        b[i] = tod(x);
    }
    int iters = BUBEN / max(n, K);
    while (iters--) {
        shuffle(a.begin(), a.end(), rng);
        memset(cur, 0, sizeof(cur));
        for (int j = 0; j < n; ++j) {
            ++cur[a[j] ^ b[j]];
        }
        for (int x = K - 1; x >= 0; --x) {
            if (cur[x] > ans[x]) {
                for (int y = x; y >= 0; --y) {
                    ans[y] = cur[y];
                }
                break;
            } else if (cur[x] < ans[x]) {
                break;
            }
        }
    }
    for (int i = K - 1; i >= 0; --i) {
        while (ans[i]--) {
            cout << toh(i);
        }
    }
    cout << '\n';
}