#include <iostream>
#include <complex>
#include <vector>
#include <string>
#include <algorithm>
#include <cstdio>
#include <numeric>
#include <cstring>
#include <ctime>
#include <cstdlib>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <list>
#include <cmath>
#include <bitset>
#include <cassert>
#include <queue>
#include <stack>
#include <deque>
#include <random>
 
using namespace std;
template<typename T1, typename T2> inline bool chkmin(T1 &a, T2 b) {
	if (a > b) {
		a = b;
		return true;
	}
	return false;
}
template<typename T1, typename T2> inline bool chkmax(T1 &a, T2 b) {
	if (a < b) {
		a = b;
		return true;
	}
	return false;
}
#define files(FILENAME) read(FILENAME); write(FILENAME)
#define read(FILENAME) freopen((FILENAME + ".in").c_str(), "r", stdin)
#define write(FILENAME) freopen((FILENAME + ".out").c_str(), "w", stdout)
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define left left228
#define right right228
#define y1 y1228
#define mp make_pair
#define pb push_back
#define y2 y2228
#define rank rank228
using ll = long long;
using ld = long double; 


int getval(char c) {
	if (c >= '0' && c <= '9') {
		return c - '0';
	}
	return 10 + c - 'A';
}


char getdig(int val) {
	if (val < 10) {
		return char('0' + val);
	}
	return char('A' + val - 10);
}


int cnt[16], cnt1[16];


int main(){
	cin.tie(0)->sync_with_stdio(0);
	int n;
	cin >> n;
	string a;
	cin >> a;
	string b;
	cin >> b;
	for (auto x: a) {
		int t = getval(x);
		cnt[t]++;
	}
	for (auto x: b) {
		int t = getval(x);
		cnt1[t]++;
	}
	vector<pair<int, pair<int, int> > > st;
	for (int i = 0; i < 16; i++) {
		for (int j = 0; j < 16; j++) {
			st.pb(mp(i ^ j, mp(i, j)));
		}
	}
	sort(all(st));
	reverse(all(st));
	string ans;
	for (auto x: st) {
		int d = min(cnt[x.second.first], cnt1[x.second.second]);
		cnt[x.second.first] -= d;
		cnt1[x.second.second] -= d;
		for (int i = 0; i < d; i++) {
			ans += getdig(x.first);
		}
	}
	cout << ans << '\n';
} 
