rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe n=1 C=1 array=permutation queries=simple q=1" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe n=6 C=1000000000 array=permutation queries=all" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe n=6 C=1000000000 array=random queries=all B=3" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe n=22 C=1000000000 array=permutation queries=quadratic" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe n=22 C=1000000000 array=random queries=quadratic B=5" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe n=22 C=1000000000 array=skewed queries=quadratic sk=5" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe n=22 C=1000000000 array=ladder queries=quadratic stepL=1 stepR=1" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen.exe n=22 C=1000000000 array=decreasing queries=quadratic B=7" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=100 max_q=1000 C=1000000000 test_sz=6 array=permutation queries=quadraticQ" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=100 max_q=1000 C=1000000000 test_sz=8 array=random queries=quadraticQ" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen.exe n=100 C=1000000000 array=ladder queries=balanced stepL=2 stepR=1 q=1000" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen.exe n=100 C=1000000000 array=increasing queries=balanced q=1000" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen.exe n=100 C=1000000000 array=increasing queries=balanced q=1000 B=10" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen.exe n=100 C=1000000000 array=increasing queries=balanced q=1000 B=12 noise=100" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen.exe n=100 C=1000000000 array=constant queries=balanced q=1000 B=1000000000" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen.exe n=100 C=1000000000 array=permutation queries=balanced q=1000" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen.exe n=31 C=1000000000 array=permutation queries=all" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen.exe n=31 C=1000000000 array=ladder queries=all stepL=2 stepR=3" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500 C=1000000000 array=skewed queries=quadratic sk=50" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500 C=1000000000 array=decreasing noise=1000 queries=quadratic" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=2000 max_q=500000 C=1000000000 test_sz=10 array=permutation queries=quadraticQ distinct" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=2000 max_q=500000 C=1000000000 test_sz=50 array=skewed ampl=10 queries=quadraticQ distinct" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen.exe n=2000 C=1000000000 array=decreasing noise=100 queries=balanced q=500000" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen.exe n=2000 C=1000000000 array=permutation queries=balanced q=100000" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen.exe n=123 C=2 array=constant B=1 queries=simple q=456" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen.exe n=198 C=2 array=constant B=2 queries=simple q=478" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen.exe n=161 C=2 array=12_21 queries=simple q=345" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen.exe n=200000 C=2 array=2_2111 queries=simple q=100000" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen.exe n=200000 C=2 array=chances chance1=0.99 chance2=0.01 queries=simple q=100000" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen.exe n=200000 C=2 array=cnt2 cnt2=5 queries=simple q=100000" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen.exe n=200000 C=3 array=multitest_123 queries=simple q=100000" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\gen.exe n=200000 C=3 array=random B=3 queries=simple q=100000" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\gen.exe n=200000 C=3 array=chances chance1=0.89 chance2=0.1 chance3=0.01 queries=simple q=100000" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\gen.exe n=5678 C=1000000000 array=random B=40 queries=simple q=9876" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=10000 C=1000000000 test_sz=12 array=random queries=simple max_q=10000" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=10000 C=1000000000 test_sz=80 array=skewed ampl=25 queries=simple max_q=10000" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\gen.exe n=10000 C=1000000000 array=pm1 queries=simple q=10000" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\gen.exe n=10000 C=1000000000 array=ladder stepL=2 stepR=2 queries=simple q=10000" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\gen.exe n=10000 C=1000000000 array=skewed sk=10 queries=simple q=10000" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\gen.exe n=10000 C=1000000000 array=increasing queries=simple q=10000" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\gen.exe n=10000 C=1000000000 array=decreasing B=2000 noise=10000 queries=simple q=10000" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\gen.exe n=10000 C=1000000000 array=ladder stepL=3 stepR=3 flipped queries=simple q=10000" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=random B=300 queries=simple q=500000" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=500000 C=1000000000 test_sz=20 array=random queries=simple max_q=500000" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=500000 C=1000000000 test_sz=150 array=skewed ampl=50 queries=simple max_q=500000" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=pm1 queries=simple q=500000" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=decreasing noise=1000 queries=simple q=500000" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=increasing B=100000 noise=1000000 queries=simple q=500000" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=155000 C=1000000000 max_q=500000 test_sz=10 array=random queries=reach" "tests\52" 52
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=155000 C=1000000000 max_q=500000 test_sz=100 array=skewed ampl=30 queries=uv_random" "tests\53" 53
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 test=anti_slow_binup q=500000" "tests\54" 54
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=random B=1000 queries=uv_random q=500000" "tests\55" 55
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=random B=100 queries=lr_random q=500000" "tests\56" 56
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=500000 C=1000000000 max_q=500000 test_sz=50 array=random queries=lr_random" "tests\57" 57
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=ladder stepR=2 queries=lr_random q=500000" "tests\58" 58
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 test=anti_slow_lca q=500000" "tests\59" 59
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 test=anti_slow_lca noise=10000 reverse q=500000" "tests\60" 60
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=500000 C=1000000000 max_q=500000 test_sz=50 array=random queries=subtask9" "tests\61" 61
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=multitest_123 queries=subtask9_block100 q=500000" "tests\62" 62
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=large_middle_ans queries=subtask9 q=500000" "tests\63" 63
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 test=anti_slow_lca reverse lr q=500000" "tests\64" 64
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=skewed sk=-6 queries=balanced q=500000 ignoreSimple" "tests\65" 65
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=500000 max_q=500000 C=1000000000 test_sz=10 array=random queries=random" "tests\66" 66
call scripts\gen-input-via-stdout.bat "files\gen.exe multitest max_n=15000 max_q=500000 C=1000000000 test_sz=50 array=skewed ampl=10 queries=quadraticQ" "tests\67" 67
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=large_middle_ans queries=random q=500000" "tests\68" 68
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=pm1 queries=balanced q=500000 ignoreSimple" "tests\69" 69
call scripts\gen-input-via-stdout.bat "files\gen.exe n=500000 C=1000000000 array=ladder stepL=4 stepR=1 queries=balanced q=500000 ignoreSimple" "tests\70" 70
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "0"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "1"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "1"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "1"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "1"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "1"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "1"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "1"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "1"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "1"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "2"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "2"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "2"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "2"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "2"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "2"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "2"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "2"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "3"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "3"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "3"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "3"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "3"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "3"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "4"
call scripts\gen-answer.bat tests\35 tests\35.a "tests" "4"
call scripts\gen-answer.bat tests\36 tests\36.a "tests" "4"
call scripts\gen-answer.bat tests\37 tests\37.a "tests" "5"
call scripts\gen-answer.bat tests\38 tests\38.a "tests" "5"
call scripts\gen-answer.bat tests\39 tests\39.a "tests" "5"
call scripts\gen-answer.bat tests\40 tests\40.a "tests" "5"
call scripts\gen-answer.bat tests\41 tests\41.a "tests" "5"
call scripts\gen-answer.bat tests\42 tests\42.a "tests" "5"
call scripts\gen-answer.bat tests\43 tests\43.a "tests" "5"
call scripts\gen-answer.bat tests\44 tests\44.a "tests" "5"
call scripts\gen-answer.bat tests\45 tests\45.a "tests" "5"
call scripts\gen-answer.bat tests\46 tests\46.a "tests" "6"
call scripts\gen-answer.bat tests\47 tests\47.a "tests" "6"
call scripts\gen-answer.bat tests\48 tests\48.a "tests" "6"
call scripts\gen-answer.bat tests\49 tests\49.a "tests" "6"
call scripts\gen-answer.bat tests\50 tests\50.a "tests" "6"
call scripts\gen-answer.bat tests\51 tests\51.a "tests" "6"
call scripts\gen-answer.bat tests\52 tests\52.a "tests" "7"
call scripts\gen-answer.bat tests\53 tests\53.a "tests" "7"
call scripts\gen-answer.bat tests\54 tests\54.a "tests" "7"
call scripts\gen-answer.bat tests\55 tests\55.a "tests" "7"
call scripts\gen-answer.bat tests\56 tests\56.a "tests" "8"
call scripts\gen-answer.bat tests\57 tests\57.a "tests" "8"
call scripts\gen-answer.bat tests\58 tests\58.a "tests" "8"
call scripts\gen-answer.bat tests\59 tests\59.a "tests" "8"
call scripts\gen-answer.bat tests\60 tests\60.a "tests" "8"
call scripts\gen-answer.bat tests\61 tests\61.a "tests" "9"
call scripts\gen-answer.bat tests\62 tests\62.a "tests" "9"
call scripts\gen-answer.bat tests\63 tests\63.a "tests" "9"
call scripts\gen-answer.bat tests\64 tests\64.a "tests" "9"
call scripts\gen-answer.bat tests\65 tests\65.a "tests" "10"
call scripts\gen-answer.bat tests\66 tests\66.a "tests" "10"
call scripts\gen-answer.bat tests\67 tests\67.a "tests" "10"
call scripts\gen-answer.bat tests\68 tests\68.a "tests" "10"
call scripts\gen-answer.bat tests\69 tests\69.a "tests" "10"
call scripts\gen-answer.bat tests\70 tests\70.a "tests" "10"

