#include <iostream>
#include <numeric>

using namespace std;

const int MAX_N = 1e6 + 228;
int n, a[MAX_N];
bool used[MAX_N];

void dfs(int v) {
	used[v] = true;
	for (int u = 0; u < n; ++u) {
		if (used[u]) {
			continue;
		}
		bool has_edge = true;
		for (int k = 0; k < n; ++k) {
			if (abs(k - v) <= abs(u - v) && a[k] > a[u]) {
				has_edge = false;
				break;
			}
		}
		if (has_edge) {
			dfs(u);
		}
	}
}

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		fill(used, used + n, false);
		dfs(i);
		int ans = accumulate(used, used + n, (int)0);
		cout << ans << ' ';
	}
}
