#include <iostream>
#include <complex>
#include <vector>
#include <string>
#include <algorithm>
#include <cstdio>
#include <numeric>
#include <cstring>
#include <ctime>
#include <cstdlib>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <list>
#include <cmath>
#include <bitset>
#include <cassert>
#include <queue>
#include <stack>
#include <deque>
#include <random>

using namespace std;
template<typename T1, typename T2> inline bool chkmin(T1& a, T2 b) {
	if (a > b) {
		a = b;
		return true;
	}
	return false;
}
template<typename T1, typename T2> inline bool chkmax(T1& a, T2 b) {
	if (a < b) {
		a = b;
		return true;
	}
	return false;
}
#define files(FILENAME) read(FILENAME); write(FILENAME)
#define read(FILENAME) freopen((FILENAME + ".in").c_str(), "r", stdin)
#define write(FILENAME) freopen((FILENAME + ".out").c_str(), "w", stdout)
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define left left228
#define right right228
#define y1 y1228
#define mp make_pair
#define pb push_back
#define y2 y2228
#define rank rank228
using ll = long long;
using ld = long double;


const int MAXN = 100228;


int n;
int sum[MAXN];
int res[1000228];


int getsum(int a) {
	int res = 0;
	while (a > 0) {
		res += a % 10;
		a /= 10;
	}
	return res;
}


int get(int a) {
	if (a < 1000000) {
		return res[a];
	}
	return res[a / 1000000] + res[a % 1000000];
}


int main() {
	cin.tie(0)->sync_with_stdio(0);
	cin >> n;
	for (int i = 0; i < 1000000; i++) {
		res[i] = getsum(i);
	}
	for (int i = 0; i < n; i++) {
		cin >> sum[i];
	}
	int a = 1;
	while (true) {
		int b = a;
		bool bad = false;
		for (int i = 0; i < n; i++) {
			if (get(b) != sum[i]) {
				bad = true;
				break;
			}
			b++;
		}
		if (!bad) {
			cout << a << '\n';
			exit(0);
		}
		a++;
	}
}
