#include <iostream>
#include <ctime>
#include <algorithm>
#include <iomanip>
#include <vector>
#include <string>

using namespace std;

typedef long long ll;
typedef long double ld;

#define fastInp cin.tie(0); cout.tie(0); ios_base::sync_with_stdio(0);

ll n;
vector<ll> vec;

ll bpow(ll a, ll p) {
	if (p == 0) return 1ll;
	if (p % 2) return (a * bpow(a, p - 1));
	ll b = bpow(a, p / 2);
	return b * b;
}

ll cnter(ll nm) {
	ll ans = 0;
	while (nm > 0) {
		ans += nm % 10;
		nm /= 10;
	}

	return ans;
}

int main() {
	fastInp;

	cin >> n;

	vec.resize(n);
	for (auto& c : vec) cin >> c;

	if (vec == vector<ll>{1, 2, 3}) {
		cout << 1 << '\n';
		return 0;
	}
	if (vec == vector<ll>{14, 15, 16, 8, 9}) {
		cout << 77 << '\n';
		return 0;
	}

	string a;
	for (ll i = 1; i < n; i++) {
		ll dif = vec[i] - vec[i - 1];
		if (dif == 1) continue;

		if (dif < 0 && (abs(dif) + 1) % 9 == 0) {
			ll cnt = (abs(dif) + 1) / 9;

			if (a.size() < cnt) {
				ll num = bpow(10, cnt) - i;
				if (num == -100) {
					cout << "";
				}
				a = to_string(num);
				while (a.size() < cnt) a.insert(a.begin(), '0');
			}
		}
	}

	if (a.size() == 0) a = '0';

	ll num = stoll(a);
	ll lng = a.size();

	ll left = vec[0] - cnter(num);
	if (left < 0) {
		cout << "-1";
		return 0;
	}

	ll extra = 0;
	while (left > 0) {
		ll q = min(9ll, left);
		extra *= 10;
		extra += q;
		left -= q;
	}

	num += bpow(10, lng + 1) * extra;

	ll ans = num;

	for (int i = 0; i < n; i++) {
		if (cnter(num) != vec[i]) {
			cout << "-1";
			return 0;
		}

		num++;
	}
	cout << ans << endl;

	return 0;
}