#include <iostream>
#include <ctime>
#include <algorithm>
#include <iomanip>
#include <vector>
#include <string>

using namespace std;

typedef long long ll;
typedef long double ld;

#define fastInp cin.tie(0); cout.tie(0); ios_base::sync_with_stdio(0);

ll n;
vector<ll> vec;

ll bpow(ll a, ll p) {
	if (p == 0) return 1ll;
	if (p % 2) return (a * bpow(a, p - 1));
	ll b = bpow(a, p / 2);
	return b * b;
}

ll cnter(ll nm) {
	ll ans = 0;
	while (nm > 0) {
		ans += nm % 10;
		nm /= 10;
	}

	return ans;
}

bool check(ll a) {
	for (int i = 0; i < n; i++) {
		if (cnter(a + i) != vec[i]) {
			return 0;
		}
	}

	return 1;
}

int main() {
	fastInp;

	cin >> n;

	vec.resize(n);
	for (auto& c : vec) cin >> c;
	
	ll a = 1;
	while (true) {
		if (check(a)) {
			cout << a;
			return 0;
		}

		a++;
	}

	return 0;
}