#include <algorithm>
#include <iostream>
#define ll long long

using namespace std;

const int TARGET = 2022;
const int MOD = 1e9 + 7;
const int MAX_N = 1e5 + 42;
int n, a[MAX_N], cnt[TARGET + 1];

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
		cnt[a[i]]++;
	}
	ll ans = 0;
	sort(a, a + n);
	a[n] = TARGET + 1;
	for (int i = 0; i < n; ++i) {
		for (int j = i + 1; j < n; ++j) {
			int bound = TARGET - a[i] - a[j];
			for (int k = j + 1; a[k] <= bound; ++k) {
				ans += cnt[bound - a[k]];
			}
			ans %= MOD;
		}
	}
	ans = (ans * 6) % MOD;
	for (int i = 0; i < n; ++i) {
		for (int k = 0; k < n; ++k) {
			if (a[i] + a[i] + a[k] <= TARGET) {
				ans += cnt[TARGET - a[i] - a[i] - a[k]];
			}
		}
		for (int j = 0; j < n; ++j) {
			if (i != j) {
				if (a[i] + a[j] + a[i] <= TARGET) {
					ans += cnt[TARGET - a[i] - a[j] - a[i]];
				}
				if (a[i] + a[j] + a[j] <= TARGET) {
					ans += cnt[TARGET - a[i] - a[j] - a[j]];
				}
			}
		}
		ans %= MOD;
	}
	cout << ans << '\n';
}
