#include <bits/stdc++.h>

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define ar array

using namespace std;

using ll = long long;

const int INFi = 2e9;
const ll INF = 2e18;
const int maxN = 1e3 + 5;
const int LG = 19;
const int md = 1e9 + 7;

inline int add(const int &a, const int &b) {
    return a + b >= md ? a + b - md : a + b;
}

void solve() {
    int n;
    cin >> n;
    const int C = 2022;
    vector<ar<int, 5>> dp(C + 1);
    vector<vector<int>> coef(5, vector<int>(5));
    for (int i = 0; i <= 4; ++i) {
        coef[i][0] = 1;
        for (int j = 1; j <= i; ++j) coef[i][j] = coef[i - 1][j] + coef[i - 1][j - 1];
    }
    dp[0][0] = 1;
    for (int it = 0; it < n; ++it) {
        int x;
        cin >> x;
        for (int sum = C; sum >= 0; --sum) {
            for (int j = 4; j >= 1; --j) {
                for (int k = 1; k <= j; ++k) {
                    if (sum - x * k < 0) break;
                    dp[sum][j] = add(dp[sum][j], (1ll * dp[sum - x * k][j - k] * coef[j][k]) % md);
                }
            }
        }
    }
    cout << dp[C][4] << '\n';
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}