#include <algorithm>
#include <iostream>

using namespace std;

const int64_t mod = 1e9 + 7;

int cnt[5][2023];

inline void madd(int &x, int64_t y) {
    x = (x + y) % mod;
}

int main() {
    int n;
    cin >> n;
    vector<int64_t> a(n), c(2023, 0);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        ++c[a[i]];
    }
    cnt[0][0] = 1;
    for (int i = 0; i <= 2022; i++) {
        if (c[i] == 0) {
            continue;
        }
        for (int j = 4; j >= 1; j--) {
            int64_t mul = 1;
            int64_t c1 = c[i], c2 = (c[i] * c[i]) % mod;
            int64_t c3 = (c[i] * c[i] * c[i]) % mod;
            if (j >= 3) {
                if (j == 4) {
                    mul = 4;
                }
                for (int x = 3 * i; x <= 2022; x++) {
                    madd(cnt[j][x], (mul * c3) % mod * cnt[j - 3][x - 3 * i]);
                }
            }
            mul = 1;
            if (j >= 2) {
                if (j == 3) {
                    mul = 3;
                } else if (j == 4) {
                    mul = 6;
                }
                for (int x = 2 * i; x <= 2022; x++) {
                    madd(cnt[j][x], (c2 * mul) % mod * cnt[j - 2][x - 2 * i]);
                }
            }
            mul = j;
            for (int x = i; x <= 2022; x++) {
                madd(cnt[j][x], (c1 * mul) % mod * cnt[j - 1][x - i]);
            }
        }
    }
    cout << cnt[4][2022];
    return 0;
}