#include <algorithm>
#include <iostream>

using namespace std;

const int64_t mod = 1e9 + 7;

int cnt[5][2023];

inline void madd(int &x, int64_t y) {
    if (y >= 4 * mod) {
        y -= 4 * mod;
    }
    if (y >= 2 * mod) {
        y -= 2 * mod;
    }
    if (y >= mod) {
        y -= mod;
    }
    x += y;
    if (x >= mod) {
        x -= mod;
    }
}

int main() {
    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    cnt[0][0] = 1;
    for (int i = 0; i < n; i++) {
        for (int j = 4; j >= 1; j--) {
            int64_t mul = 1;
            if (j >= 3) {
                if (j == 4) {
                    mul = 4;
                }
                for (int x = 3 * a[i]; x <= 2022; x++) {
                    madd(cnt[j][x], mul * cnt[j - 3][x - 3 * a[i]]);
                }
            }
            mul = 1;
            if (j >= 2) {
                if (j == 3) {
                    mul = 3;
                } else if (j == 4) {
                    mul = 6;
                }
                for (int x = 2 * a[i]; x <= 2022; x++) {
                    madd(cnt[j][x], mul * cnt[j - 2][x - 2 * a[i]]);
                }
            }
            mul = j;
            for (int x = a[i]; x <= 2022; x++) {
                madd(cnt[j][x], mul * cnt[j - 1][x - a[i]]);
            }
        }
    }
    cout << cnt[4][2022];
    return 0;
}