#include <iostream>
#include <array>
#include <set>

using namespace std;

long long d, speedLimit, ans = 1e18;

set<array<long long, 3>> used;

void bruteforce(long long t, long long speed, long long dist) {
	if (t >= ans || dist > d) {
		return;
	}
	if (speed <= speedLimit && dist == d) {
		ans = min(ans, t);
		return;
	}
	if (used.find({{t, speed, dist}}) != used.end()) {
		return;
	}
	used.insert({{t, speed, dist}});
	for (long long acc = 1; acc >= -1; --acc) {
		if (speed + acc >= 0) {
			bruteforce(t + 1, speed + acc, dist + speed + acc);
		}
	}
}

int main() {
	cin >> d >> speedLimit;
	bruteforce(0, 0, 0);
	cout << ans << '\n';
}
