#include "testlib.h"

using namespace std;

using ll = long long int;

constexpr ll MAX_SZ[4] = {
    1000ll * 1000ll * 1000ll * 1000ll * 1000ll * 1000ll,
    30ll,
    2000ll,
    1000ll * 1000ll * 1000ll * 1000ll * 1000ll * 1000ll,
};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    
    int gr = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    ll sz_limit = MAX_SZ[gr];
    
    long long a = inf.readLong(1LL, sz_limit, "a");
    inf.readEoln();
    long long b = inf.readLong(1LL, sz_limit, "b");
    inf.readEoln();
    long long c = inf.readLong(1LL, sz_limit, "c");
    inf.readEoln();
    
    inf.ensuref(a != b && a != c && b != c, "Frogs' positions must be distinct");

    inf.readEof();
}
