#include <iostream>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);
	int n = opt<int> ("n");
	int maxw = opt<int> ("w");
	printf("%d\n", n);
	vector<int> vertex;
	for (int i = 1; i <= n; ++i) vertex.push_back(i);
	shuffle(vertex.begin(), vertex.end());
	vector<int> weight;
	for (int i = 1; i <= maxw; ++i) weight.push_back(i);
	for (int i = 1; i <= n - 1; ++i) {
		int u = vertex[0];
		int v = vertex[i];
		int w = weight[rnd.next(0, (int) weight.size() - 1)];
		printf("%d %d %d\n", v, u, w);
	}
	return 0;
}