#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);
	int n = opt<int> ("n");
	int maxw = opt<int> ("w");
	printf("%d\n", n);
	vector<int> vertex;
	for (int i = 1; i <= n; ++i) vertex.push_back(i);
	shuffle(vertex.begin(), vertex.end());
	vector<int> weight;
	bool good[maxw + 1];
	for (int i = 1; i <= maxw; ++i) good[i] = true;
	for (int i = 2; i <= maxw; ++i) {
		if (good[i]) {
			weight.push_back(i);
			for (int j = 2; j * i <= maxw; ++j) {
				good[j * i] = false;
			}
		}
	}
	shuffle(weight.begin(), weight.end());
	for (int i = 1; i <= n - 1; ++i) {
		int u = vertex[0];
		int v = vertex[i];
		int w = weight[(i - 1) % (int) weight.size()];
		printf("%d %d %d\n", v, u, w);
	}
	return 0;
}