#include "testlib.h"
#include <iostream>
#include <random>
#include <vector>


using namespace std;


vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = 0; i < cnt.size(); ++i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    shuffle(blocks.begin(), blocks.end());
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    cout << n << '\n';
    for (int i = 0; i < 2; ++i) {
        vector<int> cur(4, 0);
        cur[0] = rnd.next(0, n);
        cur[1] = n - cur[0];
        out(BuildBlocks(cur));
    }
}

