#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;


vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = (int)(cnt.size()) - 1; i >= 0; --i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}

vector<int> parse_blocks(const string& st) {
    vector<int> res;
    for (int i = 0; i < st.size(); ++i) {
        char c = st[i];
        if (i % 3 == 2) continue;
        if (i % 3 == 1) {
            res.back() *= 2;
            res.back() += (c - '0');
        } else {
            res.push_back(c - '0');
        }
    }
    return res;
}


int cnt[2][4];
int32_t main() {
    int n;
    cin >> n;
    for (int i = 0; i < 2; ++i) {
        string s;
        cin >> s;
        auto pog = parse_blocks(s);
        for (int j = 0; j < n; ++j) {
            cnt[i][pog[j]] += 1;
        }
    }
    int c1 = min(cnt[0][1], cnt[1][0]) + min(cnt[0][0], cnt[1][1]);
    vector<int> cnt({n - c1, c1, 0, 0});
    out(BuildBlocks(cnt));
}
