#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

vector<int> BuildBlocks(vector<int> cnt) {
    vector<int> res;
    for (int i = (int)(cnt.size()) - 1; i >= 0; --i) {
        while (cnt[i]--) {
            res.push_back(i);
        }
    }
    return res;
}
void out(vector<int> blocks) {
    for (int i = 0; i < blocks.size(); ++i) {
        if (i) {
            cout << '|';
        }
        cout << blocks[i] / 2;
        cout << blocks[i] % 2;
    }
    cout << '\n';
}

vector<int> parse_blocks(const string& st) {
    vector<int> res;
    for (int i = 0; i < st.size(); ++i) {
        char c = st[i];
        if (i % 3 == 2) continue;
        if (i % 3 == 1) {
            res.back() *= 2;
            res.back() += (c - '0');
        } else {
            res.push_back(c - '0');
        }
    }
    return res;
}

const int K = 4;

int32_t main() {
    int n;
    cin >> n;
    vector<int> res(n, 0);
    vector<int> cur(n, 0);
    vector<vector<int>> x(2);
    for (int i = 0; i < 2; ++i) {
        string s;
        cin >> s;
        auto pog = parse_blocks(s);
        for (int j = 0; j < n; ++j) {
            x[i].push_back(pog[j]);
        }
    }
    sort(x[0].begin(), x[0].end());
    do {
        for (int i = 0; i < n; ++i) {
            cur[i] = x[0][i] ^ x[1][i];
        }
        sort(cur.rbegin(), cur.rend());
        for (int i = 0; i < n; ++i) {
            if (cur[i] == res[i]) {
                continue;
            }
            if (cur[i] > res[i]) {
                for (int j = i; j < n; ++j) {
                    res[j] = cur[j];
                }
            } 
            break;
        }
    } while (next_permutation(x[0].begin(), x[0].end()));
    out(res);
}
