#include <iostream>
#include <string>

using namespace std;

const int BASE = 16;
int n, cnt1[BASE], cnt2[BASE];
string ans;

void readString(int* cnt) {
	string s;
	cin >> s;
	for (int i = 0; i < n; ++i) {
		cnt['0' <= s[i] && s[i] <= '9' ? s[i] - '0' : s[i] - 'A' + 10]++;
	}
}

int main() {
	cin >> n;
	readString(cnt1);
	readString(cnt2);
	for (int xr = BASE - 1; xr >= 0; --xr) {
		for (int f = 0; f < BASE; ++f) {
			int s = xr ^ f;
			while (cnt1[f] && cnt2[s]) {
				ans.push_back(xr >= 10 ? 'A' + (xr - 10) : '0' + xr);
				cnt1[f]--;
				cnt2[s]--;
			}
		}
	}
	cout << ans << '\n';
}
