#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10);
    }
    return char(x + '0');
}

void read(vector<int>& a) {
    for (int& x : a) {
        char c;
        cin >> c;
        x = tod(c);
    }
}

int32_t main() {
    int n;
    cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    read(a);
    read(b);
    sort(a.rbegin(), a.rend());
    sort(b.rbegin(), b.rend());
    for (int i = 0; i < n; ++i) {
        cout << toh(a[i] ^ b[i]);
    }
    cout << '\n';
}
