#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10);
    }
    return char(x + '0');
}

const int K = 16;

int32_t main() {
    int n;
    cin >> n;
    vector<int> res(n, 0);
    vector<int> cur(n, 0);
    vector<vector<int>> x(2);
    for (int i = 0; i < 2; ++i) {
        for (int j = 0; j < n; ++j) {
            char c;
            cin >> c;
            x[i].push_back(tod(c));
        }
    }
    sort(x[0].begin(), x[0].end());
    do {
        for (int i = 0; i < n; ++i) {
            cur[i] = x[0][i] ^ x[1][i];
        }
        sort(cur.rbegin(), cur.rend());
        for (int i = 0; i < n; ++i) {
            if (cur[i] == res[i]) {
                continue;
            }
            if (cur[i] > res[i]) {
                for (int j = i; j < n; ++j) {
                    res[j] = cur[j];
                }
            } 
            break;
        }
    } while (next_permutation(x[0].begin(), x[0].end()));
    for (int i = 0; i < n; ++i) {
        cout << toh(res[i]);
    }
    cout << '\n';
}
