from itertools import permutations 


def tod(x):
	if x >= 'A' and x <= 'F':
		return ord(x) - ord('A') + 10
	return ord(x) - ord('0')

def toh(x):
	if x >= 10:
		return chr(ord('A') + x - 10)
	return chr(ord('0') + x)

def parse(s):
	res = []
	for x in s:
		res.append(tod(x))
	return res


K = 16
n = int(input())
a = parse(input())
b = parse(input())
ans = [0 for i in range(n)]
cur = [0 for i in range(n)]

for x in permutations(a):
	for i in range(n):
		cur[i] = x[i] ^ b[i]
	cur = sorted(cur)[::-1]
	for i in range(n):
		if ans[i] == cur[i]:
			continue
		if cur[i] > ans[i]:
			for j in range(i, n):
				ans[j] = cur[j]
		break

res = ""
for x in ans:
	res += toh(x)
print(res)