#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

int tod(char x) {
    if (x >= 'A' && x <= 'F') {
        return x - 'A' + 10;
    }
    return x - '0';
}

char toh(int x) {
    if (x >= 10) {
        return char('A' + x - 10);
    }
    return char(x + '0');
}

const int K = 16;
const int N = 1e5 + 10;
int a[2][N];

int32_t main() {
    int n;
    cin >> n;   
    vector<int> res;
    for (int i = 0; i < 2; ++i) {
        for (int j = 0; j < n; ++j) {
            char x;
            cin >> x;
            a[i][j] = tod(x);
        }
        sort(a[i], a[i] + n);
        if (i) {
            reverse(a[i], a[i] + n);
        }
    }
    for (int i = 0; i < n; ++i) {
        res.push_back(a[0][i] ^ a[1][i]);
    }
    sort(res.rbegin(), res.rend());
    for (int i = 0; i < n; ++i) {
        cout << toh(res[i]);
    }
    cout << '\n';
}