#include <iostream>
#include <complex>
#include <vector>
#include <string>
#include <algorithm>
#include <cstdio>
#include <numeric>
#include <cstring>
#include <ctime>
#include <cstdlib>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <list>
#include <cmath>
#include <bitset>
#include <cassert>
#include <queue>
#include <stack>
#include <deque>
#include <random>
 
using namespace std;
template<typename T1, typename T2> inline bool chkmin(T1 &a, T2 b) {
	if (a > b) {
		a = b;
		return true;
	}
	return false;
}
template<typename T1, typename T2> inline bool chkmax(T1 &a, T2 b) {
	if (a < b) {
		a = b;
		return true;
	}
	return false;
}
#define files(FILENAME) read(FILENAME); write(FILENAME)
#define read(FILENAME) freopen((FILENAME + ".in").c_str(), "r", stdin)
#define write(FILENAME) freopen((FILENAME + ".out").c_str(), "w", stdout)
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define left left228
#define right right228
#define y1 y1228
#define mp make_pair
#define pb push_back
#define y2 y2228
#define rank rank228
using ll = long long;
using ld = long double; 
const int MAXN = 2010;


int n;
int a[MAXN];
bitset<MAXN> e[MAXN];
int used[MAXN];
vector<int> order;
int c;
bitset<MAXN> e1[MAXN];
bitset<MAXN> z[MAXN];
bitset<MAXN> reach[MAXN];
bitset<MAXN> filterL[MAXN], filterR[MAXN];
int ans[MAXN];
int cnt[MAXN];


void dfs(int u) {
	used[u] = true;
	for (int h = 0; h < n; h++) {
		if (!used[h] && e[u][h]) {
			dfs(h);
		}
	}
	order.pb(u);
}


void dfs1(int u) {
	used[u] = c;
	cnt[c]++;
	for (int h = 0; h < n; h++) {
		if (!used[h] && e[h][u]) {
			dfs1(h);
		}
	}
}


int main(){
	cin.tie(0)->sync_with_stdio(0);
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> a[i];
	}
	for (int i = n - 1; i >= 0; --i) {
		filterL[i] = filterL[i + 1];
		filterL[i][i] = true;
	}
	for (int i = 0; i < n; ++i) {
		if (i) {
			filterR[i] = filterR[i - 1];
		}
		filterR[i][i] = true;
	}
	for (int i = 0; i < n; i++) {
		int tp = a[i];
		for (int j = i + 1; j < n; j++) {
			chkmax(tp, a[j]);
			int k = i - (j - i);
			if (k >= 0) {
				chkmax(tp, a[k]);
			}
			if (a[j] == tp) {
				e[i][j] = 1;
			}
		}	
		tp = a[i];
		for (int j = i - 1; j >= 0; j--) {
			chkmax(tp, a[j]);
			int k = i - (j - i);
			if (k < n) {
				chkmax(tp, a[k]);
			}
			if (a[j] == tp) {
				e[i][j] = 1;
			}
		}
	}
	for (int i = 0; i < n; i++) {
		if (!used[i]) {
			dfs(i);
		}
	}
	reverse(all(order));
	memset(used, 0, sizeof(used));
	for (auto x: order) {
		if (!used[x]) {
			c++;
			dfs1(x);
		}
	}
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			if (e[i][j]) {
				e1[used[i]][used[j]] = true;
			}
		}
	}
	for (int i = c; i >= 1; i--) {
		z[i][i] = 1;
		for (int j = 1; j <= c; j++) {
			if (e1[i][j]) {
				z[i] |= z[j];
			}	
		}
		int t = 0;
		for (int k = 1; k <= c; k++) {
			if (z[i][k]) {
				t += cnt[k];
			}
		}
		for (int j = 0; j < n; j++) {
			if (used[j] == i) {
				ans[j] = t; 
			}
		}
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			reach[i][j] = z[used[i]][used[j]];
		}
	}
	int q;
	cin >> q;
	while (q--) {
		int u, v, l, r;
		cin >> u >> v >> l >> r;
		u--;
		v--;
		l--;
		r--;
		cout << (reach[u] & reach[v] & filterL[l] & filterR[r]).count() << '\n';
	}
} 
