#include <iostream>

using namespace std;

const int MAX_N = 1e4 + 10;
int n, a[MAX_N], L[MAX_N], R[MAX_N], ans[MAX_N];

void calc_LR() {
	for (int i = 0; i < n; ++i) {
		L[i] = -1;
		for (int j = i - 1; j >= 0; --j) {
			if (a[j] > a[i]) {
				L[i] = j;
				break;
			}
		}
		R[i] = n;
		for (int j = i + 1; j < n; ++j) {
			if (a[j] > a[i]) {
				R[i] = j;
				break;
			}
		}
	}
}

int main() {
	ios_base::sync_with_stdio(0); cin.tie(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	calc_LR();
	for (int i = 0; i < n; ++i) {
		int l = i, r = i, l1 = i, r1 = i + 1;
		while (l1 >= l || r1 <= r) {
			int pos = l1 >= l ? l1-- : r1++;
			ans[pos]++;
			l = min(l, L[pos] == -1 ? 0 : (pos + L[pos]) / 2 + 1);
			r = max(r, R[pos] == n ? n - 1 : (pos + R[pos] - 1) / 2);
		}
	}
	int q;
	cin >> q;
	for (int i = 0; i < q; ++i) {
		int u, v, l, r;
		cin >> u >> v >> l >> r;
		cout << ans[u - 1] << '\n';
	}
}
