n = int(input())
a = list(map(int, input().split()))
used = [0] * n
has_edge = [[False] * n for i in range(n)]

def dfs(v):
	used[v] = 1
	for i in range(n):
		if (not used[i] and has_edge[v][i]):
			dfs(i)

for i in range(n):
	for j in range(n):
		has_edge[i][j] = True
		for k in range(n):
			if (abs(k - i) <= abs(j - i) and a[k] > a[j]):
				has_edge[i][j] = False
				break

for i in range(n):
	used = [0] * n
	dfs(i)
	has_edge[i] = used

q = int(input())
for i in range(q):
	u, v, l, r = map(int, input().split())
	u -= 1
	v -= 1
	l -= 1
	r -= 1
	ans = 0
	for i in range(l, r + 1):
		if (has_edge[u][i] and has_edge[v][i]):
			ans += 1
	print(ans)
