#include <iostream>
#include <complex>
#include <vector>
#include <string>
#include <algorithm>
#include <cstdio>
#include <numeric>
#include <cstring>
#include <ctime>
#include <cstdlib>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <list>
#include <cmath>
#include <bitset>
#include <cassert>
#include <queue>
#include <stack>
#include <deque>
#include <random>
 
using namespace std;
template<typename T1, typename T2> inline bool chkmin(T1 &a, T2 b) {
	if (a > b) {
		a = b;
		return true;
	}
	return false;
}
template<typename T1, typename T2> inline bool chkmax(T1 &a, T2 b) {
	if (a < b) {
		a = b;
		return true;
	}
	return false;
}
#define files(FILENAME) read(FILENAME); write(FILENAME)
#define read(FILENAME) freopen((FILENAME + ".in").c_str(), "r", stdin)
#define write(FILENAME) freopen((FILENAME + ".out").c_str(), "w", stdout)
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define left left228
#define right right228
#define y1 y1228
#define mp make_pair
#define pb push_back
#define y2 y2228
#define rank rank228
using ll = long long;
using ld = long double; 
const int MAXN = 1000028;


int n;
int a[MAXN];
int l[MAXN], r[MAXN];
vector<int> g[MAXN], e[MAXN], g1[MAXN], e1[MAXN];
int lans[MAXN], rans[MAXN];


int main(){
	cin.tie(0)->sync_with_stdio(0);
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> a[i];
	}
	vector<int> st;
	for (int i = 0; i < n; i++) {
		while (!st.empty() && a[st.back()] <= a[i]) {
			st.pop_back();
		}
		if (st.empty()) {
			l[i] = 0;
		} else {
			l[i] = (st.back() + i) / 2 + 1;
		}
		st.pb(i); 
	}
	st.clear();
	for (int i = n - 1; i >= 0; i--) {
		while (!st.empty() && a[st.back()] <= a[i]) {
			st.pop_back();
		}
		if (st.empty()) {
			r[i] = n - 1;
		} else {
			r[i] = (st.back() + i + 1) / 2 - 1;
		}
		st.pb(i); 
	}
	for (int i = 0; i < n; i++) {
		g[l[i]].pb(i);
		e[i].pb(i);
		g1[i].pb(i);
		e1[r[i]].pb(i);
	}
	set<int> s;
	for (int i = 0; i < n; i++) {
		for (auto x: g1[i]) {
			s.insert(x);
		}
		s.erase(i);
		lans[i] = (s.empty() ? 0: lans[*s.rbegin()]) + 1;
		s.insert(i);
		for (auto x: e1[i]) {
			s.erase(x);
		}
	}
	for (int i = n - 1; i >= 0; i--) {
		for (auto x: e[i]) {
			s.insert(x);
		}
		s.erase(i);
		rans[i] = (s.empty() ? 0: rans[*s.begin()]) + 1;
		s.insert(i);
		for (auto x: g[i]) {
			s.erase(x);
		}
	}
	int q;
	cin >> q;
	while (q--) {
		int u, v, l, r;
		cin >> u >> v >> l >> r;
		cout << lans[u - 1] + rans[u - 1] - 1 << '\n';
	}
	cout << '\n';
} 
