#include <iostream>
#include <numeric>

using namespace std;

const int MAX_N = 1e4 + 10;
int n, a[MAX_N];
bool used[MAX_N], has_edge[MAX_N][MAX_N];

void dfs(int v) {
	used[v] = true;
	for (int u = 0; u < n; ++u) {
		if (!used[u] && has_edge[v][u]) {
			dfs(u);
		}
	}
}

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			has_edge[i][j] = true;
			for (int k = 0; k < n; ++k) {
				if (abs(k - i) <= abs(j - i) && a[k] > a[j]) {
					has_edge[i][j] = false;
					break;
				}
			}
		}
	}
	for (int i = 0; i < n; ++i) {
		fill(used, used + n, false);
		dfs(i);
		int ans = accumulate(used, used + n, (int)0);
		cout << ans << ' ';
	}
	cout << '\n';
}
