#include <bits/stdc++.h>

#define rep(i, n) for (int i = 0; i < (n); ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define ar array

using namespace std;

using ll = long long;

const int INFi = 2e9;
const ll INF = 2e18;
const int maxN = 1e5 + 5;
const int LG = 19;

void solve() {
    int n;
    cin >> n;
    vector<int> a(n);
    rep(i, n) cin >> a[i];
    auto calc_r = [](vector<int> &a) {
        int n = a.size();
        vector<int> res(n, -1);
        vector<int> ord(n);
        iota(all(ord), 0);
        sort(all(ord), [&](const int &i, const int &j) {
            return make_pair(a[i], i) < make_pair(a[j], j);
        });
        set<int> need_calc;
        set<int> alive;
        alive.insert(n * 3 + 10);
        alive.insert(-n * 3 - 10);
        rep(i, n) {
            need_calc.insert(i);
            alive.insert(i);
        }

        for (auto &i : ord) {
            auto it = alive.find(i);
            int L = *prev(it);
            int mid = (L + i + 2) / 2;
            mid = max(mid, 0);
            alive.erase(it);
            auto it2 = need_calc.lower_bound(mid);
            while (it2 != need_calc.end() && (*it2) < i) {
                res[(*it2)] = i;
                it2 = need_calc.erase(it2);
            }
        }
        return res;
    };
    auto r = calc_r(a);
    reverse(all(a));
    auto l = calc_r(a);
    reverse(all(a));
    reverse(all(l));
    rep(i, n) if (l[i] != -1) l[i] = n - 1 - l[i];
    vector<int> ansL(n, 1), ansR(n, 1);
    rep(i, n) if (l[i] != -1) ansL[i] += ansL[l[i]];
    for (int i = n - 1; i >= 0; --i) if (r[i] != -1) ansR[i] += ansR[r[i]];
    rep(i, n) cout << ansL[i] + ansR[i] - 1 << ' ';
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    rep(_, t) {
        solve();
    }
    return 0;
}