

#include "testlib.h"
#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <string>

using namespace std;

map<string, string> params;

long long get(string name, long long def = 0) {
    if (params.count(name)) {
        return stoll(params[name]);
    }
    else {
        return def;
    }
}

const int MX = 1'000'000'000;

int cnter(long long num) {
    int a = 0;
    while (num > 0) {
        a += num % 10;
        num /= 10;
    }

    return a;
}

void test_group1() {
    int n = get("n");
    cout << n << "\n";

    long long a = get("a");
    for (int i = 0; i < n - 1; i++) {
        cout << cnter(a) << " ";
        a++;
    }

    cout << cnter(a) << "\n";
}

int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    for (int i = 1; i < argc; i++) {
        string s = string(argv[i]);
        if (s.find("=") != string::npos) {
            auto pos = s.find("=");
            params[s.substr(0, pos)] = s.substr(pos + 1);
        }
        else {
            params[s] = "";
        }
    }

    int mode = get("mode");

    if (mode == 1) {
        test_group1();
    }

    return 0;
}

