#include <iostream>
#include <vector>
#define ll long long

using namespace std;

const int D = 18;
const int MAX_N = 1e5 + 228;
int n, sum[MAX_N];
ll a[MAX_N];

template<class T1, class T2> bool chkmax(T1& a, const T2& b) {
	return b > a ? (a = b, true) : false;
}

int main() {
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> sum[i];
	}
	int max_carry = 0, max_carry_pos = 0;
	for (int i = 1; i < n; ++i) {
		int delta = sum[i] - sum[i - 1];
		if (delta < 0 && chkmax(max_carry, abs(delta / 9) + 1)) {
			max_carry_pos = i - 1;
		}
	}
	int cur_sum = sum[max_carry_pos];
	vector<int> ans(D);
	for (int i = 0; i < max_carry; ++i) {
		ans[i] = 9;
		cur_sum -= 9;
	}
	for (int i = D - 1; cur_sum > 0; --i) {
		ans[i] = min(cur_sum, 9);
		cur_sum -= ans[i];
	}
	ll num = 0;
	for (int i = D - 1; i >= 0; --i) {
		num *= 10;
		num += ans[i];
	}
	num -= max_carry_pos;
	cout << num << '\n';
}
